diff -ruN --exclude=CVS --exclude=.svn /tmp/cvstmp/ports/x11/slim/Makefile /usr/home/henryhu/projs/redports/x11/slim/Makefile
--- /tmp/cvstmp/ports/x11/slim/Makefile	2012-01-11 00:33:22.000000000 -0500
+++ /usr/home/henryhu/projs/redports/x11/slim/Makefile	2012-01-11 01:09:26.000000000 -0500
@@ -7,7 +7,7 @@
 
 PORTNAME=	slim
 PORTVERSION=	1.3.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	x11
 MASTER_SITES=	${MASTER_SITE_BERLIOS} \
 		http://depot.fsck.ch/mirror/distfiles/
@@ -16,13 +16,13 @@
 MAINTAINER=	henry.hu.sh@gmail.com
 COMMENT=	Graphical login manager for X11, derived from Login.app
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
 		png.6:${PORTSDIR}/graphics/png \
 		freetype:${PORTSDIR}/print/freetype2 \
 		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
 
-LICENSE=	GPLv2
-
 USE_XORG=	x11 xft xmu xorg-server xrender
 USE_RC_SUBR=	slim.sh
 SUB_FILES=	pkg-message
@@ -45,6 +45,7 @@
 	@${INSTALL_DATA} ${WRKSRC}/themes/default/${PORTNAME}.theme ${DATADIR}/themes/default
 	@${INSTALL_DATA} ${WRKSRC}/themes/default/panel.png ${DATADIR}/themes/default
 	@${INSTALL_DATA} ${WRKSRC}/themes/default/background.jpg ${DATADIR}/themes/default
+	@${INSTALL_DATA} ${FILESDIR}/slim ${PREFIX}/etc/pam.d/slim
 
 post-install:
 	@if [ ! -f ${PREFIX}/etc/slim.conf ]; then \
diff -ruN --exclude=CVS --exclude=.svn /tmp/cvstmp/ports/x11/slim/files/patch-app.cpp /usr/home/henryhu/projs/redports/x11/slim/files/patch-app.cpp
--- /tmp/cvstmp/ports/x11/slim/files/patch-app.cpp	2008-10-05 10:41:50.000000000 -0400
+++ /usr/home/henryhu/projs/redports/x11/slim/files/patch-app.cpp	2012-01-11 01:06:15.000000000 -0500
@@ -1,6 +1,15 @@
---- app.cpp.orig	2008-10-04 13:45:58.000000000 +0200
-+++ app.cpp	2008-10-04 13:46:07.000000000 +0200
-@@ -887,7 +887,7 @@
+--- app.cpp.orig	2010-07-08 01:04:10.000000000 -0400
++++ app.cpp	2012-01-11 00:55:59.000000000 -0500
+@@ -422,6 +422,8 @@
+         switch(LoginPanel->getAction()){
+             case Panel::Exit:
+             case Panel::Console:
++            case Panel::Reboot:
++            case Panel::Halt:
+                 return true; // <--- This is simply fake!
+             default:
+                 break;
+@@ -899,7 +901,7 @@
      }
  
      if (!hasVtSet && daemonmode) {
diff -ruN --exclude=CVS --exclude=.svn /tmp/cvstmp/ports/x11/slim/files/slim /usr/home/henryhu/projs/redports/x11/slim/files/slim
--- /tmp/cvstmp/ports/x11/slim/files/slim	1969-12-31 19:00:00.000000000 -0500
+++ /usr/home/henryhu/projs/redports/x11/slim/files/slim	2012-01-11 01:06:15.000000000 -0500
@@ -0,0 +1,10 @@
+#
+# $FreeBSD$
+#
+# PAM configuration for the "slim" service
+#
+
+auth		include		system
+account		include		system
+session		include		system
+password	include		system
diff -ruN --exclude=CVS --exclude=.svn /tmp/cvstmp/ports/x11/slim/files/slim.sh.in /usr/home/henryhu/projs/redports/x11/slim/files/slim.sh.in
--- /tmp/cvstmp/ports/x11/slim/files/slim.sh.in	2012-01-11 00:33:22.000000000 -0500
+++ /usr/home/henryhu/projs/redports/x11/slim/files/slim.sh.in	2012-01-11 01:06:15.000000000 -0500
@@ -3,7 +3,7 @@
 # $FreeBSD: ports/x11/slim/files/slim.sh.in,v 1.6 2011/05/01 18:46:39 dougb Exp $
 #
 # PROVIDE: slim
-# REQUIRE: LOGIN
+# REQUIRE: LOGIN hald dbus
 # KEYWORD: shutdown
 
 # Add the following lines to /etc/rc.conf to enable slim:
diff -ruN --exclude=CVS --exclude=.svn /tmp/cvstmp/ports/x11/slim/pkg-plist /usr/home/henryhu/projs/redports/x11/slim/pkg-plist
--- /tmp/cvstmp/ports/x11/slim/pkg-plist	2006-01-08 16:48:56.000000000 -0500
+++ /usr/home/henryhu/projs/redports/x11/slim/pkg-plist	2012-01-11 01:06:15.000000000 -0500
@@ -2,6 +2,7 @@
 %%DATADIR%%/themes/default/background.jpg
 %%DATADIR%%/themes/default/panel.png
 %%DATADIR%%/themes/default/slim.theme
+etc/pam.d/slim
 @dirrm %%DATADIR%%/themes/default
 @dirrm %%DATADIR%%/themes
 @dirrm %%DATADIR%%
